import { jsx } from "react/jsx-runtime";
import { TokenPEEL as TokenPEEL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPEEL = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "PEEL", "data-name": "TokenPEEL", ...props, children: /* @__PURE__ */ jsx(TokenPEEL$1, { variant }) });
  }
);
TokenPEEL.displayName = "TokenPEEL";
Object.assign(TokenPEEL, { isGdsIcon: true });
export {
  TokenPEEL
};
